package com.ruoyi.project.common.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.common.mapper.TCommonfileMapper;
import com.ruoyi.project.common.domain.TCommonfile;
import com.ruoyi.project.common.service.ITCommonfileService;

/**
 * 通用附件Service业务层处理
 *
 * @author ruoyi
 * @date 2020-12-11
 */
@Service
public class TCommonfileServiceImpl implements ITCommonfileService
{
    @Autowired
    private TCommonfileMapper tCommonfileMapper;

    /**
     * 查询通用附件
     *
     * @param id 通用附件ID
     * @return 通用附件
     */
    @Override
    public TCommonfile selectTCommonfileById(Long id)
    {
        return tCommonfileMapper.selectTCommonfileById(id);
    }

    /**
     * 查询通用附件列表
     *
     * @param tCommonfile 通用附件
     * @return 通用附件
     */
    @Override
    public List<TCommonfile> selectTCommonfileList(TCommonfile tCommonfile)
    {
        return tCommonfileMapper.selectTCommonfileList(tCommonfile);
    }

    /**
     * 新增通用附件
     *
     * @param tCommonfile 通用附件
     * @return 结果
     */
    @Override
    public int insertTCommonfile(TCommonfile tCommonfile)
    {
        return tCommonfileMapper.insertTCommonfile(tCommonfile);
    }

    /**
     * 修改通用附件
     *
     * @param tCommonfile 通用附件
     * @return 结果
     */
    @Override
    public int updateTCommonfile(TCommonfile tCommonfile)
    {
        return tCommonfileMapper.updateTCommonfile(tCommonfile);
    }

    /**
     * 批量删除通用附件
     *
     * @param ids 需要删除的通用附件ID
     * @return 结果
     */
    @Override
    public int deleteTCommonfileByIds(Long[] ids)
    {
        return tCommonfileMapper.deleteTCommonfileByIds(ids);
    }

    /**
     * 删除通用附件信息
     *
     * @param id 通用附件ID
     * @return 结果
     */
    @Override
    public int deleteTCommonfileById(Long id)
    {
        return tCommonfileMapper.deleteTCommonfileById(id);
    }

    @Override
    public List<TCommonfile> selectAllFileList(TCommonfile tCommonfile) {
        return tCommonfileMapper.selectAllFileList(tCommonfile);
    }

    @Override
    public List<TCommonfile> selectAllFileListFuzzy(TCommonfile tCommonfile) {
        return tCommonfileMapper.selectAllFileListFuzzy(tCommonfile);
    }
}
